Bug 616251 - Review Request: uptrack - Client for the Ksplice Uptrack rebootless kernel update service
Review Request: uptrack - Client for the Ksplice Uptrack rebootless kernel up...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 18:27 EDT by Nelson Elhage
Modified: 2015-03-17 14:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-17 14:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nelson Elhage 2010-07-19 18:27:39 EDT
Spec URL: http://www.ksplice.com/uptrack/dist/test/uptrack.spec
SRPM URL: http://www.ksplice.com/uptrack/dist/test/uptrack-1.0.3-1.fc13.src.rpm
Description: 

This package will install the client used to access the Ksplice Uptrack rebootless security update service.
Comment 1 Tom "spot" Callaway 2010-07-28 16:45:12 EDT
perl -0pe 's/^(\s+)main\(\)$/\1PackageKitYumBackend.rebootpkgs = tuple(p for p in PackageKitYumBackend.rebootpkgs if not p.startswith("kernel"))\n$&/m or die' /usr/share/PackageKit/helpers/yum/yumBackend.py >yumBackend.py.ksplice

...

# Install our version of the yum PackageKit backend
mkdir -p $RPM_BUILD_ROOT%{_datadir}/PackageKit/helpers/yum
install -p -m 755 yumBackend.py.ksplice $RPM_BUILD_ROOT%{_datadir}/PackageKit/helpers/yum

You're overwriting part of PackageKit? That's not acceptable. Is this essential to the functionality of uptrack? It looks like you're just pulling "kernel" out of the list of packages that require a reboot.

While uptrack may be able to patch the kernel in place, should a user wish to upgrade to the Fedora kernel rpm as is, we don't want to skip the reboot.
Comment 2 Nelson Elhage 2010-07-28 18:21:07 EDT
> You're overwriting part of PackageKit? That's not acceptable. Is this essential
> to the functionality of uptrack? It looks like you're just pulling "kernel" out
> of the list of packages that require a reboot.

Correct. The goal is here is to have a clean user experience: We found on Ubuntu
that users were confused about continuing to get a "reboot required"
notification for kernel package updates after installing Ksplice, since they
were upgrading the in-memory kernel rebootlessly.

We agree users should keep the Fedora kernel rpm up to date -- we just found
users were confused being warned that they still needed to reboot after
installing a new one.

We're not totally thrilled about the mechanism (overwriting PackageKit), though,
and we'd definitely be happy to consider cleaner alternatives there.

If suppressing these notifications is a total non-starter, we can probably take
them out, but we've found it greatly improves the user experience.
Comment 3 Tom "spot" Callaway 2010-07-29 10:11:55 EDT
It is a non-starter, along with the replacement of depmod & modprobe, and I suspect the latter will be less simple to replace on your end.
Comment 4 Mario Gonzalez 2015-03-17 14:21:45 EDT
Hi there! Can anyone close this report please? It is not needed any more.

Just for the records, there are RPMs for Fedora available in this site:
https://www.ksplice.com/try/desktop

Regards,
Thanks.

Note You need to log in before you can comment on or make changes to this bug.